<?xml version="1.0" encoding="ISO-8859-1"?>
  <!-- 
     Conversion from Dublin Core Application Profile for Geographical Data Mining into Qualified DC
     [jnog 28/11/2005] creation 
   -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:dc="http://purl.org/dc/elements/1.1/"
                                    xmlns:dcterms="http://purl.org/dc/terms/"
                                    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
                                    >

<xsl:output method="xml" indent="yes" encoding="UTF-8"/>


<xsl:template match="spatialdc" >
<xsl:element name="qualifieddc" >

<xsl:for-each select="@fileID" >
  <xsl:attribute name="{name()}">
    <xsl:value-of select="."/>
  </xsl:attribute>
</xsl:for-each>

<xsl:for-each select="@xml:lang" >
  <xsl:attribute name="{name()}">
    <xsl:value-of select="."/>
  </xsl:attribute>
</xsl:for-each>

<xsl:for-each select="dc:contributor" >
<xsl:element name="dc:contributor" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>

</xsl:for-each>
<xsl:for-each select="dc:coverage" >
<xsl:element name="dc:coverage" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>

</xsl:for-each>
<xsl:for-each select="dc:creator" >
<xsl:element name="dc:creator" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dc:date" >
<xsl:element name="dc:date" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dc:description" >
<xsl:element name="dc:description" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dc:format" >
<xsl:element name="dc:format" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dc:identifier" >
<xsl:element name="dc:identifier" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dc:language" >
<xsl:element name="dc:language" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dc:publisher" >
<xsl:element name="dc:publisher" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dc:relation" >
<xsl:element name="dc:relation" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dc:rights" >
<xsl:element name="dc:rights" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dc:source" >
<xsl:element name="dc:source" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dc:subject" >
<xsl:element name="dc:subject" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>

</xsl:for-each>
<xsl:for-each select="dc:title" >
<xsl:element name="dc:title" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dc:type" >
<xsl:element name="dc:type" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dcterms:accessRights" >
<xsl:element name="dcterms:accessRights" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dcterms:bibliographicCitation" >
<xsl:element name="dcterms:bibliographicCitation" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dcterms:conformsTo" >
<xsl:element name="dcterms:conformsTo" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dcterms:created" >
<xsl:element name="dcterms:created" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dcterms:hasFormat" >
<xsl:element name="dcterms:hasFormat" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dcterms:hasPart" >
<xsl:element name="dcterms:hasPart" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dcterms:hasVersion" >
<xsl:element name="dcterms:hasVersion" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dcterms:isFormatOf" >
<xsl:element name="dcterms:isFormatOf" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dcterms:isPartOf" >
<xsl:element name="dcterms:isPartOf" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dcterms:isReferencedBy" >
<xsl:element name="dcterms:isReferencedBy" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dcterms:isReplacedBy" >
<xsl:element name="dcterms:isReplacedBy" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dcterms:isRequiredBy" >
<xsl:element name="dcterms:isRequiredBy" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dcterms:issued" >
<xsl:element name="dcterms:issued" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dcterms:isVersionOf" >
<xsl:element name="dcterms:isVersionOf" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dcterms:license" >
<xsl:element name="dcterms:license" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dcterms:modified" >
<xsl:element name="dcterms:modified" >
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dcterms:provenance" >
<xsl:element name="dcterms:provenance" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dcterms:references" >
<xsl:element name="dcterms:references" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dcterms:replaces" >
<xsl:element name="dcterms:replaces" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dcterms:requires" >
<xsl:element name="dcterms:requires" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dcterms:rightsHolder" >
<xsl:element name="dcterms:rightsHolder" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dcterms:spatial" >
<xsl:element name="dcterms:spatial" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

<xsl:for-each select="dcterms:temporal" >
<xsl:element name="dcterms:temporal" >
  <xsl:if test="./@xsi:type">
    <xsl:attribute name="xsi:type">
      <xsl:value-of select="./@xsi:type"/>
    </xsl:attribute>
  </xsl:if>
<xsl:value-of select="." />
</xsl:element>
</xsl:for-each>

</xsl:element>

</xsl:template>
</xsl:stylesheet>
